﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ComboEditorInXamDataGrid.ViewModels;
using System.Collections.ObjectModel;

namespace ComboEditorInXamDataGrid
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            MainWindowViewModel _mainWindowViewModel = new MainWindowViewModel();
            ChannelXamDataGrid.DataContext = _mainWindowViewModel;            
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            using (FileStream fs = new FileStream("xamDataGridLayout1.xml", FileMode.OpenOrCreate, FileAccess.Write))
            {

                this.ChannelXamDataGrid.SaveCustomizations(fs);
            }
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            using (FileStream fs = new FileStream("xamDataGridLayout1.xml", FileMode.Open, FileAccess.Read))
            {
                this.ChannelXamDataGrid.LoadCustomizations(fs);
            }
        }
    }
}
